Skip to main content
PUT
/
api
/
brand-studio
/
collections
/
{collection_id}
/
garments
/
reorder
Reorder Garments Endpoint
curl --request PUT \
  --url https://api.example.com/api/brand-studio/collections/{collection_id}/garments/reorder \
  --header 'Content-Type: application/json' \
  --data '
{
  "garment_ids": [
    "<string>"
  ]
}
'
[
  {
    "collection_id": "<string>",
    "created_at": "<string>",
    "garment_type": "shirt",
    "id": "<string>",
    "name": "<string>",
    "updated_at": "<string>",
    "color_palette_json": "<string>",
    "designer_instructions": "<string>",
    "fabric_specs": "<string>",
    "images": [],
    "measurements_json": "<string>",
    "position": 0,
    "share_token": "<string>",
    "silhouette_notes": "<string>"
  }
]

Path Parameters

collection_id
string
required

Body

application/json
garment_ids
string[]
required
Minimum array length: 1

Response

Successful Response

collection_id
string
required
created_at
string
required
garment_type
enum<string>
required
Available options:
shirt,
pants,
jacket,
dress,
skirt,
coat,
accessories,
other
id
string
required
name
string
required
updated_at
string
required
color_palette_json
string | null
designer_instructions
string | null
fabric_specs
string | null
images
GarmentImageRef · object[]
measurements_json
string | null
position
integer
default:0
share_token
string | null
silhouette_notes
string | null